Description

History

#1 - Feb 20, 2023 10:44 AM - Yannis Marketakis

- Status changed from New to In Progress

#2 - Feb 20, 2023 11:33 AM - Yannis Marketakis

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

I'm pasting below the JSON representation for one of the traceability units we currently have in the knowledge base. The example is also attached as

a JSON file.

{

  "traceability_unit_name" : 

"Hyperoglyphe antarctica - 57 - 81 - Australian Fisheries Management Authority - 81 - Australia - Set longline

s",

  "license_id" : "CC-BY-SA-4.0",

  "version" : 1.0,

  "traceability_record_uri":

"https://github.com/grsf/resource/traceability_unit/f2b97baf-4212-337e-9d88-ec5cc59376ab",

    "database_sources" : [ {

    "name" : "FishSource",

    "description" : 

"FishSource is an online information resource about the status of stocks and fisheries, that compiles and summ

arizes all the information that is needed from analysts to evaluate the sustainability.",

    "url" : "http://www.fishsource.com"

  }],

  "grsf_uuid" : "f2b97baf-4212-337e-9d88-ec5cc59376ab",

  "grsf_semantic_identifier" : "asfis:BWA+fao:57;fao:81+authority:NAT:AUS+fao:81+iso3:AUS+isscfg:09.31",

  "short_name" : 

"Bluenose warehou | Southeastern Australia | Ocean Trap and Line Fishery (NSW) | Australia | Set longlines - B

luenose warehou - Southeastern Australia",

  "species" : [ "Code: BWA, Classification System: ASFIS, Scientific Name: Hyperoglyphe antarctica" ],

  "fishing_area" : [ "Code: 57, System: fao, Name: Indian Ocean, Eastern",

"Code: 81, System: fao, Name: Pacific, Southwest" ],

  "management_body_authorities" : [ 

"Code: authority:NAT:AUS, System: grsf-org, Name: Australian Fisheries Management Authority" ],

  "flag_state" : [ "Code: AUS, System: iso3, Name: Australia" ],

  "fishing_gear" : [ "Code: 09.31, System: isscfg, Name: Set longlines" ],

  "description" : 

"Bluenose warehou | Southeastern Australia | Ocean Trap and Line Fishery (NSW) | Australia | Set longlines - B

luenose warehou - Southeastern Australia",

  "refers_to" : [ {

    "id" : "8141a8ea-a40f-4681-961d-4ffce9f7310a",

    "url" : "https://data.d4science.org/ctlg/GRSF_Admin/ce69cabb-d2bf-30a6-bb79-08f4ce857de8"

  },

  {

    "id" : "63564232-dcbb-42f4-9580-6ba20fe572d3",

    "url" : "https://data.d4science.org/ctlg/GRSF_Admin/38fd8998-916a-3bac-b44c-b478e8223315"

  }],

  "citation" : 

"© D4Science.org. Hyperoglyphe antarctica - 57 - 81 - Australian Fisheries Management Authority - 81 - Austral
ia - Set longlines. In: Global Record of Stocks and Fisheries (GRSF). Consiglio Nazionale delle Ricerche, CNR.

 Version: 1.0. Updated: February 20, 2023. Accessed: [Date accessed and/or downloaded]. http://data.d4science.

org/ctlg/GRSF_Admin/f2b97baf-4212-337e-9d88-ec5cc59376ab. Database sources: [FishSource]"

}

 I'm adding as a watcher @aureliano.gentile@fao.org in case he wants to complement something.

#3 - Feb 20, 2023 11:36 AM - Yannis Marketakis

- File f2b97baf-4212-337e-9d88-ec5cc59376ab.json added

#4 - Feb 21, 2023 05:49 PM - Aureliano Gentile

Thanks @marketak@ics.forth.gr

Please here follow two points.

1)if I am not mistaken, the JSON I see in the above example is not exactly reflecting the structure of the semantic identifier for a traceability unit.

The first area (asfis:BWA+fao:57;fao:81) is the assessment area (inherited from the stock ce69cabb-d2bf-30a6-bb79-08f4ce857de8) while the second

area (fao:81) is the fishing area/management area (from this uuid 38fd8998-916a-3bac-b44c-b478e8223315).

If this is correct, then the JSON should contain one field for assessment area, and a distinct one for fishing/management area. 

I made this comment also by checking the requirements summarized here 

https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_Model-Traceability_Unit 

And I remember we agreed to split two types of areas in the semantic identifier and put in between the management authority, which in fact you

already do

asfis:BWA+fao:57;fao:81+authority:NAT:AUS+fao:81+iso3:AUS+isscfg:09.31

In conclusion, if the above is fine, then the JSON should be modified accordingly.

2)  "refers_to": it seems fine, but it does not say what is the stock and what the fishery, do you need to pass this info to CKan or will it be inferred

somehow when building the traceability unit page?

#5 - Feb 22, 2023 08:09 AM - Yannis Marketakis

- File f2b97baf-4212-337e-9d88-ec5cc59376ab_v2.json added

Thanks @aureliano.gentile@fao.org

Both your comments are OK. So I modified the JSON to be submitted for publishing the record which can be found below and attached.

{

  "traceability_unit_name" : 

"Hyperoglyphe antarctica - 57 - 81 - Australian Fisheries Management Authority - 81 - Australia - Set longline

s",

  "license_id" : "CC-BY-SA-4.0",

  "version" : 1.0,

  "traceability_record_uri":

"https://github.com/grsf/resource/traceability_unit/f2b97baf-4212-337e-9d88-ec5cc59376ab",

    "database_sources" : [ {

    "name" : "FishSource",

    "description" : 

"FishSource is an online information resource about the status of stocks and fisheries, that compiles and summ

arizes all the information that is needed from analysts to evaluate the sustainability.",

    "url" : "http://www.fishsource.com"

  }],

  "grsf_uuid" : "f2b97baf-4212-337e-9d88-ec5cc59376ab",

  "grsf_semantic_identifier" : "asfis:BWA+fao:57;fao:81+authority:NAT:AUS+fao:81+iso3:AUS+isscfg:09.31",

  "short_name" : 

"Bluenose warehou | Southeastern Australia | Ocean Trap and Line Fishery (NSW) | Australia | Set longlines - B

luenose warehou - Southeastern Australia",

  "species" : [ "Code: BWA, Classification System: ASFIS, Scientific Name: Hyperoglyphe antarctica" ],

  "assessment_area": [ "Code: 57, System: fao, Name: Indian Ocean, Eastern",

"Code: 81, System: fao, Name: Pacific, Southwest" ],

  "fishing_area" : [ "Code: 81, System: fao, Name: Pacific, Southwest" ],

  "management_body_authorities" : [ 

"Code: authority:NAT:AUS, System: grsf-org, Name: Australian Fisheries Management Authority" ],

  "flag_state" : [ "Code: AUS, System: iso3, Name: Australia" ],

  "fishing_gear" : [ "Code: 09.31, System: isscfg, Name: Set longlines" ],

  "description" : 

"Bluenose warehou | Southeastern Australia | Ocean Trap and Line Fishery (NSW) | Australia | Set longlines - B

luenose warehou - Southeastern Australia",

  "referring_stock_record" : {

    "id" : "8141a8ea-a40f-4681-961d-4ffce9f7310a",
    "url" : "https://data.d4science.org/ctlg/GRSF_Admin/ce69cabb-d2bf-30a6-bb79-08f4ce857de8"

  },

  "referring_fishery_record" : {

    "id" : "63564232-dcbb-42f4-9580-6ba20fe572d3",

    "url" : "https://data.d4science.org/ctlg/GRSF_Admin/38fd8998-916a-3bac-b44c-b478e8223315"

  },

  "citation" : 

"© D4Science.org. Hyperoglyphe antarctica - 57 - 81 - Australian Fisheries Management Authority - 81 - Austral

ia - Set longlines. In: Global Record of Stocks and Fisheries (GRSF). Consiglio Nazionale delle Ricerche, CNR.

 Version: 1.0. Updated: February 20, 2023. Accessed: [Date accessed and/or downloaded]. http://data.d4science.

org/ctlg/GRSF_Admin/f2b97baf-4212-337e-9d88-ec5cc59376ab. Database sources: [FishSource]"

}

#6 - Feb 22, 2023 10:37 AM - Aureliano Gentile

Thanks Yannis, looks great.

For the short name,

e.g. "short_name" : "Bluenose warehou | Southeastern Australia | Ocean Trap and Line Fishery (NSW) | Australia | Set longlines - Bluenose warehou

- Southeastern Australia",

I think that is rather a GRSF name which you build from the semantic identifier, while a short name might be added by the owner (e.g. FishSource)

later via the management panel in case this is needed. What do you think?

#7 - Feb 22, 2023 11:02 AM - Yannis Marketakis

It is not actually constructed from the semantic identifier, the traceability_unit_name is constructed using that.

The short name contains common names for species and areas. I think it is taken from the fishery's short name.

As you mentioned this can be changed afterward, so we have to provide something for the short name when publishing the record.

To avoid confusing Luca (because this is a contents-related issue) the field short_name should exist in the json.

#8 - Feb 22, 2023 11:03 AM - Aureliano Gentile

ok fine with me and thanks.

#9 - Mar 20, 2023 05:55 PM - Luca Frosini

@marketak@ics.forth.gr the example does not contain grsf_type field which should has as value the constant "Traceability Unit".

https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_Model-Traceability_Unit

#10 - Mar 20, 2023 06:39 PM - Luca Frosini

@marketak@ics.forth.gr I have modified the wiki at https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_Model-Traceability_Unit to

include the name of the json field provided by the KB.

Regarding the following fields

"referring_stock_record" : {

    "id" : "8141a8ea-a40f-4681-961d-4ffce9f7310a",

    "url" : "https://data.d4science.org/ctlg/GRSF_Admin/ce69cabb-d2bf-30a6-bb79-08f4ce857de8"

},

"referring_fishery_record" : {

   "id" : "63564232-dcbb-42f4-9580-6ba20fe572d3",

   "url" : "https://data.d4science.org/ctlg/GRSF_Admin/38fd8998-916a-3bac-b44c-b478e8223315"

},

 I think they could be something like:

"referring_stock_record" : "https://data.d4science.org/ctlg/GRSF_Admin/ce69cabb-d2bf-30a6-bb79-08f4ce857de8",

"referring_fishery_record" : "https://data.d4science.org/ctlg/GRSF_Admin/38fd8998-916a-3bac-b44c-b478e8223315"

 What do you think?

#11 - Mar 20, 2023 06:50 PM - Luca Frosini

According to the wiki at https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_Model-Traceability_Unit

The Traceability Unit should have mandatory field:

GRSF Semantic Name

Management Reporting Area

I didn't find such  fields in the example JSON.
Instead in JSON example provided I find:

"traceability_record_uri":"

https://github.com/grsf/resource/traceability_unit/f2b97baf-4212-337e-9d88-ec5cc59376ab",

      "database_sources" : [ {

        "name" : "FishSource",

        "description" : "

FishSource is an online information resource about the status of stocks and fisheries, that compiles and summa

rizes all the information that is needed from analysts to evaluate the sustainability.",

        "url" : "http://www.fishsource.com"

      }],

"fishing_area" : [ "Code: 81, System: fao, Name: Pacific, Southwest" ],

 Can we include in the wiki to have information about the section, the expected label, if they are mandatory etc?

#12 - Mar 21, 2023 11:45 AM - Yannis Marketakis

Luca Frosini wrote in #note-10:

"referring_stock_record" : "

https://data.d4science.org/ctlg/GRSF_Admin/ce69cabb-d2bf-30a6-bb79-08f4ce857de8",

"referring_fishery_record" : "

https://data.d4science.org/ctlg/GRSF_Admin/38fd8998-916a-3bac-b44c-b478e8223315"

 

I have included the catalog IDs, since I thought they were mandatory (i.e. for creating a link in the catalogue). If they are not needed, then I agree with

you, let's remove them and keep only the actual URLs

#13 - Mar 21, 2023 11:59 AM - Yannis Marketakis

- File f2b97baf-4212-337e-9d88-ec5cc59376ab_v3.json added

@luca.frosini@isti.cnr.it thank you for your comments.

I have updated the JSON representation (attached the v3) and the documentation in the wiki page (

https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_Model-Traceability_Unit)

As regards the fields you mention: 

Missing Management Reporting Area: renamed the json field fishing_area  to management_reporting_area

Missing GRSF Semantic Name: added the field

field traceability_record_uri : describes URI of the record in GRSF KB. Updated the wiki page to describe that

field database_sources : describes all the data sources that provide information about the record. Updated the wiki page to describe that

field fishing_area : renamed to management_reporting_area

#14 - Mar 21, 2023 01:25 PM - Aureliano Gentile

Dear Yannis, thanks, I spoke with Luca today for a few clarifications, and please I have two questions.

1- GRSF semantic name: de facto that is the GRSF Traceability Unit Name , being the labels of all codes of the semantic identifier. So, the question

is: do we need such semantic name or is it redundant?

2- Referring stock and fishery records: should we add in the json also the names of such stock and fishery or would it be redundant?

Thanks in advance for your feedback.

#15 - Mar 21, 2023 01:46 PM - Yannis Marketakis

Aureliano Gentile wrote in #note-14:

Dear Yannis, thanks, I spoke with Luca today for a few clarifications, and please I have two questions.

1- GRSF semantic name: de facto that is the GRSF Traceability Unit Name , being the labels of all codes of the semantic identifier. So, the

question is: do we need such semantic name or is it redundant?

 You are right. In fact, as you might have seen these fields ( traceability_unit_name  and grsf_semantic_name ) contain exactly the same contents.

Unless @luca.frosini@isti.cnr.it  wants them both present, I would remove one of them.

Aureliano Gentile wrote in #note-14:

2- Referring stock and fishery records: should we add in the json also the names of such stock and fishery or would it be redundant?

 The referring records will be included as resources in the record, which means that they will have a URL pointing to the actual record. Since their

names can be quite long (especially for fisheries) I do not know if they can be represented nicely in the catalogue. But if you would like to add them,
I'm perfectly fine with it.

#16 - Mar 21, 2023 01:59 PM - Aureliano Gentile

Thanks, so for question 1 (semantic name, let's see Luca's answer, in case the semantic name should be the one to be removed for consistency with

stocks and fisheries), and for question 2, ok we do not put.

(By the way, I noticed the competency query for TU does not contain the traceability unit name, but contains the stock and fishery names).

#17 - Mar 21, 2023 03:48 PM - Yannis Marketakis

@aureliano.gentile@fao.org we have just discussed this with @luca.frosini@isti.cnr.it 

We could add a name for the referring stock and fishery records. To avoid the long names we could use either the semantic ID of those records or the

UUIDs.

@aureliano.gentile@fao.org what do you think ?

#18 - Mar 21, 2023 03:56 PM - Aureliano Gentile

yes indeed, the semantic ID might suffice, (and to see all metadata then we will click on the uuid). So fine as per your suggestion, thanks a lot.

#19 - Mar 21, 2023 05:04 PM - Luca Frosini

Aureliano Gentile wrote in #note-18:

yes indeed, the semantic ID might suffice, (and to see all metadata then we will click on the uuid). So fine as per your suggestion, thanks a lot.

 @marketak@ics.forth.gr please remember to attach to this ticket the updated JSON.

#20 - Mar 22, 2023 09:44 AM - Yannis Marketakis

- File f2b97baf-4212-337e-9d88-ec5cc59376ab_v4.json added

Thanks @aureliano.gentile@fao.org for your reply. Let's use the semantic IDs then.

@luca.frosini@isti.cnr.it attached you will find the latest version (v4) of the JSON representation which contains updates in the fields

referring_stock_record

referring_fishery_record

database_sources

Let me know if is OK

#21 - Mar 23, 2023 04:10 PM - Luca Frosini

Yannis Marketakis wrote in #note-20:

Thanks @aureliano.gentile@fao.org for your reply. Let's use the semantic IDs then.

@luca.frosini@isti.cnr.it attached you will find the latest version (v4) of the JSON representation which contains updates in the fields

referring_stock_record

referring_fishery_record

database_sources

Let me know if is OK

 @marketak@ics.forth.gr in the last example you provided (v4) I don't find the field grsf_type

For the moment, I added it to my downloaded version as following:

"grsf_type": "traceability unit"

#22 - Mar 23, 2023 05:17 PM - Luca Frosini

@marketak@ics.forth.gr In the example provided, there is still the following field:

"grsf_semantic_name": "Hyperoglyphe antarctica - 57 - 81 - Australian Fisheries Management Authority - 81 - Au

stralia - Set longlines",

 Do we have to remove it?

Moreover, there is s field description which is not documented in the wiki.

Do I have to consider it as simple Metadata of the Record? Which section?
"description": "Bluenose warehou | Southeastern Australia | Ocean Trap and Line Fishery (NSW) | Australia | Se

t longlines - Bluenose warehou - Southeastern Australia",

 Of course, as with all records in GRSF, there are too:

"grsf_uuid": "f2b97baf-4212-337e-9d88-ec5cc59376ab",

"citation": "© D4Science.org. Hyperoglyphe antarctica - 57 - 81 - Australian Fisheries Management Authority - 

81 - Australia - Set longlines. In: Global Record of Stocks and Fisheries (GRSF). Consiglio Nazionale delle Ri

cerche, CNR. Version: 1.0. Updated: February 20, 2023. Accessed: [Date accessed and/or downloaded]. http://dat

a.d4science.org/ctlg/GRSF_Admin/f2b97baf-4212-337e-9d88-ec5cc59376ab. Database sources: [FishSource, FAO SDG14

.4.1 Questionnaire]",

 @aureliano.gentile@fao.org Can you also include them in the documentation?

#23 - Mar 24, 2023 09:05 AM - Yannis Marketakis

Hi @luca.frosini@isti.cnr.it 

grsf_type: we were using that for stocks and fisheries to define the detailed type of each record (assessment unit or marine resource for stocks,

and fishing unit or other fishery for fisheries). Traceability units are not sub-typed therefore I do not think we need it.

grsf_semantic_name: I agree we can remove it (the same piece of information exists in the field traceability_unit_name

description: Currently it is always the same as with the short_name  (this is what we do for stocks and fisheries). If we do not need it (because it

is the same with the short_name  we can remove it)

grsf_uuid: We need it

citation: We need it

#24 - Mar 27, 2023 11:01 AM - Aureliano Gentile

Good day Luca, regarding the #note-22, as long these are single examples, yes they can be added in the documentation as examples.

Regarding the #note-23, I concur with Yannis, if description is the same as short name, then no need to maintain it. 

#25 - Apr 26, 2023 10:31 AM - Luca Frosini

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Files

f2b97baf-4212-337e-9d88-ec5cc59376ab.json 2.38 KB Feb 20, 2023 Yannis Marketakis

f2b97baf-4212-337e-9d88-ec5cc59376ab_v2.json 2.49 KB Feb 22, 2023 Yannis Marketakis

f2b97baf-4212-337e-9d88-ec5cc59376ab_v3.json 2.5 KB Mar 21, 2023 Yannis Marketakis

f2b97baf-4212-337e-9d88-ec5cc59376ab_v4.json 2.44 KB Mar 22, 2023 Yannis Marketakis
